| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IAnalysis Interface Reference

Interface for direct analysis classes used in optimization problems. More...

Inheritance diagram for IG::Num::IAnalysis:
[legend]

List of all members.

## Public Member Functions
void | Analyse (IAnalysisResults analysisData)
| Performs analysis - calculates requested results and writes them to the provided data structure.
## Properties
int | NumParameters`[get, set]`
| Number of parameters.
int | NumObjectives`[get, set]`
| Number of objective functions (normally 1 for this type, but can be 0).
int | NumConstraints`[get, set]`
| Number of constraints.
int | NumEqualityConstraints`[get, set]`
| Number of equality constraints.

## Detailed Description

Interface for direct analysis classes used in optimization problems.

$A Igor May08 Jun10;

## Member Function Documentation

void IG::Num::IAnalysis::Analyse | ( | IAnalysisResults | analysisData | ) |

Performs analysis - calculates requested results and writes them to the provided data structure.

Parameters:

  analysisData | Data structure where analysis request parameters are obtained and where analysis results are written.

Implemented in IG::Num::AnalysisBase, IG::Lib::LoadableScriptOptBase::AnalysisScript, and IG::Neural::AnalysisFileServerNeural.

## Property Documentation

int IG::Num::IAnalysis::NumParameters`[get, set]`

Number of parameters.

Implemented in IG::Num::AnalysisBase, and IG::Neural::AnalysisFileServerNeural.

int IG::Num::IAnalysis::NumObjectives`[get, set]`

Number of objective functions (normally 1 for this type, but can be 0).

Implemented in IG::Num::AnalysisBase, and IG::Neural::AnalysisFileServerNeural.

int IG::Num::IAnalysis::NumConstraints`[get, set]`

Number of constraints.

Implemented in IG::Num::AnalysisBase, and IG::Neural::AnalysisFileServerNeural.

int IG::Num::IAnalysis::NumEqualityConstraints`[get, set]`

Number of equality constraints.

Implemented in IG::Num::AnalysisBase, and IG::Neural::AnalysisFileServerNeural.

The documentation for this interface was generated from the following file:

- Analysis.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events